python-pcapy_0.10.8-1_amd64.deb


Advertisement

Description

python-pcapy - Python interface to the libpcap packet capture library

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name python-pcapy
Package version 0.10.8
Package release 1
Package architecture amd64
Package type deb
Installed size 180 B
Download size 22.71 KB
Official Mirror ftp.br.debian.org
Pcapy is a  Python extension module that interfaces  with the libpcap
packet capture library.
Pcapy enables Python scripts to capture packets on the network. Pcapy
is highly  effective when used in conjunction  with a packet-handling
package such as Impacket, which is a collection of Python classes for
constructing and dissecting network packets.

Alternatives

Package Version Architecture Repository
python-pcapy_0.10.8-1_i386.deb 0.10.8 i386 Debian Main
python-pcapy - - -

Requires

Name Value
libc6 >= 2.2.5
libgcc1 >= 1:4.1.1
libpcap0.8 >= 0.9.8
libstdc++6 >= 4.1.1
python >= 2.6
python << 2.8
python2.6 -
python2.7 -

Provides

Name Value
python2.6-pcapy -
python2.7-pcapy -

Download

Type URL
Binary Package python-pcapy_0.10.8-1_amd64.deb
Source Package pcapy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pcapy deb package:
    # sudo apt-get install python-pcapy

Files

Path
/usr/lib/pyshared/python2.6/pcapy.so
/usr/lib/pyshared/python2.7/pcapy.so
/usr/lib/python2.6/dist-packages/pcapy-0.10.8.egg-info
/usr/lib/python2.6/dist-packages/pcapy.so
/usr/lib/python2.7/dist-packages/pcapy-0.10.8.egg-info
/usr/lib/python2.7/dist-packages/pcapy.so
/usr/share/doc-base/pcapy
/usr/share/doc/python-pcapy/README
/usr/share/doc/python-pcapy/changelog.Debian.gz
/usr/share/doc/python-pcapy/changelog.gz
/usr/share/doc/python-pcapy/copyright
/usr/share/doc/python-pcapy/pcapy.html
/usr/share/pyshared/pcapy-0.10.8.egg-info

Changelog

2011-04-18 - Arnaud Fontaine <arnau@debian.org>
pcapy (0.10.8-1) unstable; urgency=low
* New upstream release.
+ Drop debian/patches/fix_sigsegv.patch applied by upstream.
* Use dh_python2 rather than deprecated dh_pycentral. Closes: #616934.
+ debian/control:
- Rename now deprecated XS-Python-Version to X-Python-Version.
- Remove now deprecated XB-Python-Version.
- Bump cdbs version to 0.4.90-1~.
- Bump python-all-dev version to 2.6.6-3~.
- Remove Build-Depends on python-central.
+ debian/rules:
- Remove DEB_PYTHON_SYSTEM.
* debian/control:
+ Bump Standards-Version to 3.9.2. No changes needed.
* debian/changelog:
+ Update copyright years.
2010-07-29 - Arnaud Fontaine <arnau@debian.org>
pcapy (0.10.6-2) unstable; urgency=low
[ Arnaud Fontaine ]
* Switch to dpkg-source 3.0 (quilt) format.
+ Drop Build-Depends on patchutils in debian/control.
+ Drop include of simple-patchsys.mk in debian/rules.
* debian/control:
+ Bump Standards-Version to 3.9.1. No changes needed.
* debian/patches:
+ Add fix_sigsegv.patch to fix SIGSEGV. Thanks to Jakub Wilk.
Closes: #589956.
* debian/copyright:
+ Update copyright years.
[ Jakub Wilk ]
* New upstream URL: update debian/copyright, debian/watch and
debian/control.
2008-12-15 - Arnaud Fontaine <arnau@debian.org>
pcapy (0.10.6-1) unstable; urgency=low
[ Arnaud Fontaine ]
* New upstream release. Closes: #500043.
* Add 02_remove_exception_on_next.patch, next() now returns None instead
of raising an exception when pcap_next() returns NULL. Closes: #500041.
+ Add 03_regenerate_html_doc.patch as the patch updates the
documentation.
* debian/control:
+ Add ${misc:Depends} Depends in case the result of a call to any of
dh_ commands cause the package to depend on another one.
+ Update Standards-Version to 3.8.0. No change needed.
+ Update Homepage field.
* debian/copyright:
+ Update download location.
+ Update copyright years.
* debian/watch:
+ Update URL.
[ Sandro Tosi ]
* debian/control:
- Switch Vcs-Browser field to viewsvn.
2008-05-29 - Arnaud Fontaine <arnau@debian.org>
pcapy (0.10.5-2) unstable; urgency=low
[ Arnaud Fontaine ]
* New email address.
* Remove useless debian/control.in.
* debian/changelog:
+ Update copyright years.
* debian/control:
+ Update Standards-Version to 3.7.3. No changes needed.
+ Fix spelling error in description by replacing python by Python.
* debian/doc-base:
+ Update section to Programming/Python.
[ Piotr O┼╝arowski ]
* debian/control:
+ Add Homepage field.
+ Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now).
[ Sandro Tosi ]
* debian/control
- Uniformise Vcs-Browser field.
2007-05-08 - Arnaud Fontaine <arnaud@andesi.org>
pcapy (0.10.5-1) unstable; urgency=low
[ Arnaud Fontaine ]
* New upstream release.
* debian/control*:
+ Add Suggests against doc-base.
+ Update Build-Depends.
+ Remove useless Replaces and Conflicts fields as etch has been 
released.
* debian/doc-base:
+ Add doc-base for the documentation.
* debian/copyrigth:
+ Update copyright years.
+ Add copyright for the package.
[ Piotr Ozarowski ]
* Added XS-Vcs-{Svn,Browser} field.
* Added debian/watch file.
2006-06-24 - Arnaud Fontaine <arnaud@andesi.org>
pcapy (0.10.4-2) unstable; urgency=low
* Update Standards-Version to 3.7.2. No changes needed.
* New Python policy changes. Closes: #373475.
+ Add debian/pycompat.
+ debian/compat:
- Update debhelper compatibility to 5.
+ debian/rules:
- Add DEB_PYTHON_SYSTEM=pycentral.
- Clean debian/rules.
+ debian/control.in:
- Remove all versioned packages.
- Add XB-Python-Version field for binary package.
- Add XS-Python-Version field for source package.
- Add Conflicts and Replaces fields against previous revisions.

See Also

Package Description
python-pcs_0.5+debian-1.1_all.deb Packet Construction Set for Python
python-pdfminer_20110515+dfsg-1_all.deb PDF parser and analyser
python-pdfrw_0+svn136-3_all.deb PDF file manipulation library
python-pdftools_0.37-3_all.deb PDF document reading classes
python-peak.rules_0.5a1+r2707-1_all.deb generic functions support for Python
python-peak.util.decorators_1.8-2_all.deb version-agnostic decorators support for Python
python-peak.util_20110909-1_all.deb utilities from the Python Enterprise Application Kit
python-pebl-doc_1.0.2-2_all.deb Python Environment for Bayesian Learning - documentation
python-pebl_1.0.2-2_amd64.deb Python Environment for Bayesian Learning
python-pefile_1.2.9.1-1_all.deb Portable Executable (PE) parsing module for Python
python-pesto_25-1_all.deb Library for Python web applications
python-pexpect_2.4-1_all.deb Python module for automating interactive applications
python-pgm_0.3.12-2+b4_amd64.deb User interfaces with embedded multimedia - Python bindings
python-pgmagick_0.5.1-1+b1_amd64.deb Yet Another Python wrapper for GraphicsMagick
python-phoneutils_0.1+git20100219-1+b1_amd64.deb python bindings for libphone-utils
Advertisement
Advertisement